#include "wc3stringhash.h"
#include "Extern_global_Variable.h"

bool fRegistrStorm_2()
{
	HMODULE hStorm;
	hStorm = GetModuleHandle(L"storm.dll");
	if(!hStorm) return FALSE;

	SStrHash64 = (SStrHash64_1)GetProcAddress(hStorm, "SStrHash64");
	if(!SStrHash64) return FALSE;

	SStrHash32 = (SStrHash32_1)GetProcAddress(hStorm, "SStrHash32");
	if(!SStrHash32) return FALSE;

	return TRUE;
}